> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List members

> Returns a paginated list of members for a company, with extensive filtering by product, plan, status, access level, and more.

Required permissions:
 - `member:basic:read`
 - `member:email:read`
 - `member:phone:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /members
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: '2026-08-21'
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /members:
    get:
      tags:
        - Members
      summary: List members
      description: >-
        Returns a paginated list of members for a company, with extensive
        filtering by product, plan, status, access level, and more.


        Required permissions:
         - `member:basic:read`
         - `member:email:read`
         - `member:phone:read`
      operationId: listMember
      parameters:
        - explode: true
          in: query
          name: after
          required: false
          schema:
            description: >-
              Returns the elements in the list that come after the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: before
          required: false
          schema:
            description: >-
              Returns the elements in the list that come before the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: first
          required: false
          schema:
            description: Returns the first _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: last
          required: false
          schema:
            description: Returns the last _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: company_id
          required: false
          schema:
            description: The unique identifier of the company to list members for.
            example: biz_xxxxxxxxxxxxxx
            type: string
          style: form
        - explode: true
          in: query
          name: direction
          required: false
          schema:
            $ref: '#/components/schemas/Direction'
            description: The sort direction for results. Defaults to descending.
          style: form
        - explode: true
          in: query
          name: order
          required: false
          schema:
            $ref: '#/components/schemas/MembersSortableColumns'
            description: The column to sort members by, such as creation date or revenue.
          style: form
        - explode: true
          in: query
          name: created_before
          required: false
          schema:
            description: Only return members created before this timestamp.
            example: '2023-12-01T05:00:00.401Z'
            format: date-time
            type: string
          style: form
        - explode: true
          in: query
          name: created_after
          required: false
          schema:
            description: Only return members created after this timestamp.
            example: '2023-12-01T05:00:00.401Z'
            format: date-time
            type: string
          style: form
        - explode: true
          in: query
          name: access_level
          required: false
          schema:
            $ref: '#/components/schemas/AccessLevel'
            description: Filter members by their current access level to the product.
          style: form
        - explode: true
          in: query
          name: product_ids
          required: false
          schema:
            description: Filter members to only those belonging to these specific products.
            items:
              description: >-
                Represents a unique identifier that is Base64 obfuscated. It is
                often used to refetch an object or as key for a cache. The ID
                type appears in a JSON response as a String; however, it is not
                intended to be human-readable. When expected as an input type,
                any string (such as `"VXNlci0xMA=="`) or integer (such as `4`)
                input value will be accepted as an ID.
              type: string
            type: array
          style: form
        - explode: true
          in: query
          name: plan_ids
          required: false
          schema:
            description: Filter members to only those subscribed to these specific plans.
            items:
              description: >-
                Represents a unique identifier that is Base64 obfuscated. It is
                often used to refetch an object or as key for a cache. The ID
                type appears in a JSON response as a String; however, it is not
                intended to be human-readable. When expected as an input type,
                any string (such as `"VXNlci0xMA=="`) or integer (such as `4`)
                input value will be accepted as an ID.
              type: string
            type: array
          style: form
        - explode: true
          in: query
          name: user_ids
          required: false
          schema:
            description: >-
              Filter members to only those matching these specific user
              identifiers.
            items:
              description: >-
                Represents a unique identifier that is Base64 obfuscated. It is
                often used to refetch an object or as key for a cache. The ID
                type appears in a JSON response as a String; however, it is not
                intended to be human-readable. When expected as an input type,
                any string (such as `"VXNlci0xMA=="`) or integer (such as `4`)
                input value will be accepted as an ID.
              type: string
            type: array
          style: form
        - explode: true
          in: query
          name: statuses
          required: false
          schema:
            description: Filter members by their current subscription status.
            items:
              $ref: '#/components/schemas/MemberStatuses'
            type: array
          style: form
        - explode: true
          in: query
          name: promo_code_ids
          required: false
          schema:
            description: Filter members to only those who used these specific promo codes.
            items:
              description: >-
                Represents a unique identifier that is Base64 obfuscated. It is
                often used to refetch an object or as key for a cache. The ID
                type appears in a JSON response as a String; however, it is not
                intended to be human-readable. When expected as an input type,
                any string (such as `"VXNlci0xMA=="`) or integer (such as `4`)
                input value will be accepted as an ID.
              type: string
            type: array
          style: form
        - explode: true
          in: query
          name: most_recent_actions
          required: false
          schema:
            description: Filter members by their most recent activity type.
            items:
              $ref: '#/components/schemas/MemberMostRecentActions'
            type: array
          style: form
        - explode: true
          in: query
          name: query
          required: false
          schema:
            description: >-
              Search members by name, username, or email. Email filtering
              requires the member:email:read permission.
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                description: The connection type for CompanyMember.
                properties:
                  data:
                    description: A list of nodes.
                    items:
                      $ref: '#/components/schemas/MemberListItem'
                    type: array
                  page_info:
                    $ref: '#/components/schemas/PageInfo'
                    description: Information to aid in pagination.
                required:
                  - data
                  - page_info
                type: object
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - member:basic:read
            - member:email:read
            - member:phone:read
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Whop from '@whop/sdk';

            const client = new Whop({
              apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const member of client.members.list()) {
              console.log(member.id);
            }
components:
  schemas:
    Direction:
      description: The direction of the sort.
      enum:
        - asc
        - desc
      type: string
    MembersSortableColumns:
      description: Which columns can be used to sort.
      enum:
        - id
        - usd_total_spent
        - created_at
        - joined_at
        - most_recent_action
      type: string
    AccessLevel:
      description: The access level a given user (or company) has to a product or company.
      enum:
        - no_access
        - admin
        - customer
      type: string
    MemberStatuses:
      description: The different statuses a Member can have.
      enum:
        - drafted
        - joined
        - left
      type: string
    MemberMostRecentActions:
      description: The different most recent actions a member can have.
      enum:
        - canceling
        - churned
        - finished_split_pay
        - paused
        - paid_subscriber
        - paid_once
        - expiring
        - joined
        - drafted
        - left
        - trialing
        - pending_entry
        - renewing
        - past_due
      type: string
    MemberListItem:
      description: >-
        A member represents a user's relationship with a company on Whop,
        including their access level, status, and spending history.
      properties:
        access_level:
          $ref: '#/components/schemas/AccessLevel'
          description: >-
            The member's content access level. `admin` means their team role
            grants administrative content access, `customer` means they hold a
            valid product membership, and `no_access` means they cannot access
            company content.
        company_token_balance:
          description: >-
            The member's token balance for this company. Computed live from the
            ledger, not from a cache.
          example: 6.9
          type: number
        created_at:
          description: The datetime the company member was created.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        id:
          description: The unique identifier for the company member.
          type: string
        joined_at:
          description: When the member joined the company
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        most_recent_action:
          description: The most recent action the member has taken.
          oneOf:
            - $ref: '#/components/schemas/MemberMostRecentActions'
            - type: 'null'
        most_recent_action_at:
          description: The time for the most recent action, if applicable.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type:
            - string
            - 'null'
        phone:
          description: The phone number for the member, if available.
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/MemberStatuses'
          description: The status of the member
        updated_at:
          description: The datetime the company member was last updated.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        usd_total_spent:
          description: >-
            How much money this customer has spent on the company's products and
            plans
          example: 6.9
          type: number
        user:
          description: The user for this member, if any.
          properties:
            email:
              description: The digital mailing address of the user.
              type:
                - string
                - 'null'
            id:
              description: The unique identifier for the company member user.
              type: string
            name:
              description: The user's full name.
              type:
                - string
                - 'null'
            username:
              description: The whop username.
              type: string
          required:
            - id
            - email
            - name
            - username
          type:
            - object
            - 'null'
      required:
        - id
        - created_at
        - updated_at
        - joined_at
        - access_level
        - status
        - most_recent_action
        - most_recent_action_at
        - user
        - phone
        - usd_total_spent
        - company_token_balance
      type: object
    PageInfo:
      description: Information about pagination in a connection.
      properties:
        end_cursor:
          description: When paginating forwards, the cursor to continue.
          type:
            - string
            - 'null'
        has_next_page:
          description: When paginating forwards, are there more items?
          type: boolean
        has_previous_page:
          description: When paginating backwards, are there more items?
          type: boolean
        start_cursor:
          description: When paginating backwards, the cursor to continue.
          type:
            - string
            - 'null'
      required:
        - end_cursor
        - start_cursor
        - has_next_page
        - has_previous_page
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        An Account API key, account-scoped JWT, App API key, or user OAuth
        token. Prepend the key or token with `Bearer`, for example `Bearer
        ***************************`.
      scheme: bearer
      type: http

````